Page MenuHomePhabricator

ListeriaBot logs in 35000 times a day
Closed, ResolvedPublic

Description

maxsem@mwlog1001:/srv/mw-log$ grep ListeriaBot archive/badpass.log-20170821 | wc -l
28036
maxsem@mwlog1001:/srv/mw-log$ grep ListeriaBot archive/badpass.log-20170821 | grep '"successful":true' | wc -l
28035

Is everything all right with it?


As of late June 2020, it's upto around 35000 a day

Related Objects

StatusSubtypeAssignedTask
ResolvedUrbanecm
ResolvedMagnus

Event Timeline

MaxSem created this task.Aug 21 2017, 8:28 PM
Restricted Application added subscribers: Cyberpower678, Aklapper. · View Herald TranscriptAug 21 2017, 8:28 PM

It was written to do single edits, so it does log in before each one. I can try and change it if it's a problem?

You really ought to. Simply using a session cookie to retain the login data will save some major resources IMO.

Migrating to OAuth would solve this problem as well.

Addshore moved this task from incoming to monitoring on the Wikidata board.Sep 19 2018, 7:13 AM
bd808 edited projects, added Tools; removed Cloud-VPS.Oct 23 2019, 3:09 PM
Reedy renamed this task from ListeriaBot logs in 28000 times a day to ListeriaBot logs in 35000 times a day.Jul 1 2020, 3:08 PM
Reedy updated the task description. (Show Details)

With fixing all other bots, now 26% of all logins across all of cluster is ListeriaBot. If this continues, we will block the bot.

Ladsgroup closed this task as Resolved.Sep 13 2020, 5:59 PM
Ladsgroup assigned this task to Magnus.

This is done.